This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 692853 - (CVE-2011-1552) CVE-2011-1552 t1lib: invalid read crash via crafted Type 1 font
CVE-2011-1552 t1lib: invalid read crash via crafted Type 1 font
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
public=20110328,reported=20110331,sou...
: Security
Depends On: 679734 772899 772900 772901 773177 773178 773180 773183 773184 845624 984476
Blocks: 734178
  Show dependency treegraph
 
Reported: 2011-04-01 08:08 EDT by Jan Lieskovsky
Modified: 2015-11-24 10:55 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-04-10 16:58:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2011-04-01 08:08:28 EDT
Common Vulnerabilities and Exposures assigned an identifier CVE-2011-1552 to
the following vulnerability:

t1lib 5.1.2 and earlier, as used in Xpdf before 3.02pl6 and other
products, reads from invalid memory locations, which allows remote
attackers to cause a denial of service (application crash) via a
crafted Type 1 font in a PDF document, a different vulnerability than
CVE-2011-0764.

References:
[1] http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2011-1552
[2] http://www.securityfocus.com/archive/1/archive/1/517205/100/0/threaded
[3] http://www.toucan-system.com/advisories/tssa-2011-01.txt
[4] http://www.foolabs.com/xpdf/download.html
[5] http://www.kb.cert.org/vuls/id/MAPG-8ECL8X
[6] http://www.kb.cert.org/vuls/id/376500
[7] http://securitytracker.com/id?1025266
[8] http://secunia.com/advisories/43823
[9] http://www.vupen.com/english/advisories/2011/0728
Comment 12 Huzaifa S. Sidhpurwala 2012-01-10 04:44:16 EST
Created t1lib tracking bugs for this issue

Affects: epel-5 [bug 679734]
Affects: fedora-all [bug 772899]
Comment 16 errata-xmlrpc 2012-01-24 16:17:30 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2012:0062 https://rhn.redhat.com/errata/RHSA-2012-0062.html
Comment 17 Fedora Update System 2012-01-27 14:19:39 EST
t1lib-5.0.2-2 has been pushed to the Fedora EPEL 4 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 18 Fedora Update System 2012-01-27 14:21:25 EST
t1lib-5.1.1-9.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 19 Fedora Update System 2012-01-27 22:23:20 EST
t1lib-5.1.2-9.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 20 Fedora Update System 2012-01-27 22:28:25 EST
t1lib-5.1.2-9.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 21 errata-xmlrpc 2012-02-15 11:20:51 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2012:0137 https://rhn.redhat.com/errata/RHSA-2012-0137.html
Comment 22 errata-xmlrpc 2012-08-23 10:58:19 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2012:1201 https://rhn.redhat.com/errata/RHSA-2012-1201.html

Note You need to log in before you can comment on or make changes to this bug.